Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

I was hoping that I could use the 'master' (nightly-build) version of QGIS to get fgdb support without compiliing (I'm not a developer and frankly have wasted days of productive time trying to get things to compile with no luck).

Since it seems that gdal 1.9 support fgdb, I thought I could just download the developer version. However, the latest version of QGIS (191a229), even with gdal 1.9 does not seem to allow me to add my gdb file.

Is the gdal version included with the master build just not compiled with fgdb support? Does anyone know if there's a way to do this without compiling a new version?

share|improve this question
2  
Which operating system are you using? According to this answer gis.stackexchange.com/a/18694/187, fgdb support is included in OSGeo4W. –  underdark Apr 16 '12 at 20:23
    
Sorry, I am on Windows XP. I saw that gdal-filegdb is available on OSGeo4W on this page link However, after installing that package as well as the qgis and qgis-devel packages I still can't seem to open the gdb file in either version. Is there a way I need to 'link' the new gdal version (or is it a plugin) in somehow to the qgis installation? I feel like I'm missing something obvious. –  afwatl Apr 16 '12 at 20:48
    
hmmmm this thread seems to indicate that the gdal plugin is out of date, (it's for 1.8). I also realized how to add plugins through the options > general dialog in the plugins-paths box. It worked for mrsid, but not for filegdb. I wonder when this might get updated... since 1.9 has been out for a few months. –  afwatl Apr 16 '12 at 21:05
2  
Indeed, we are still waiting for Ragi to update the filegdb plugin but he is travelling. Perhaps someone else would like to try? –  Frank Warmerdam Apr 16 '12 at 22:05
2  
Got back from vacation some days ago and updated the driver this morning :) –  Ragi Yaser Burhum Apr 25 '12 at 15:09
show 1 more comment

2 Answers 2

up vote 6 down vote accepted

Use the OSGeo4W installer. I updated it to use gdal 1.9.

share|improve this answer
    
Thanks Ragi, I can confirm that updating to the your new gdal 1.9 version allows me to view, but not edit, the gdb folder in QGIS 1.7.4 (same in QGIS 1.9.90 20e5f5a). I guess I can just export to another file if I need to do some editing. I thought gdal 1.9 allowed editing of fgdb too it says so here. –  afwatl Apr 26 '12 at 15:16
    
@afwatl It does allow writing. Can you try using ogr2ogr from the command line to write from/to shapefiles? If it works, please submit a bug to QGIS, since it would be something that they would need to change on their end. If it doesn't please submit a bug to the gdal bug system with details of your system so I can look into it. –  Ragi Yaser Burhum Apr 26 '12 at 19:51
    
This answer only works if you're running Windows. I'm assuming if you're running Linux or Mac you'll need to compile. –  Tanner Nov 13 '13 at 0:44
    
Yes. There are instructions for Linux and Mac that are very straight forward. –  Ragi Yaser Burhum Nov 14 '13 at 6:48
add comment

This isn't strictly an answer to the question posted, but I think answers what you are actually trying to achieve:

If you need to view FileGDBs in QGIS on Windows XP / 7 you can do it using the standalone installer for 1.7.4 (Not the master build and using GDAL 1.8, but it works for me!)

The installer for QGIS won't install the ogr driver DLL, but you should be able to nab this from your master install here: *INSTALL DIR\bin\gdalplugins\1.8\ogr_FileGDB.dll*. The ESRI fileGDB API DLL (FileGDBAPI.dll) can be obtained from the ESRI fileGDB API download, and needs to be placed in the INSTALL DIR\bin directory.

QGIS 1.7.4 doesn't seem to be aware of fileGDB support (I guess this needs an update to the QGIS interface) but like a number of other 'unlisted in QGIS but supported by GDAL/OGR' formats, fileGDBs can be opened by choosing Add vector layer, selecting the Directory source type and then choosing the file geodatabase (remember that the ESRI API driver only reads v10 fileGDBs).

The resulting layer in Quantum is read-only, but there appears to be a bug in QGIS 1.7.4 that results in the Edit toggle button in the Fields tab of the layer properties not being disabled for some read only datasets. Toggling this on read only formats is normally a sure fire way to crash QGIS, but given that OGR supports writing to fileGDBs you do seem to be able to edit them through QGIS, though this obviously isn't properly implemented at the moment!

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.